

%define framework breeze

Summary:        Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Name:           %framework
Version: 		5.14.2
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{version}/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  ki18n-devel
BuildRequires:  kcompletion-devel
BuildRequires:  frameworkintegration-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kdecoration-devel
BuildRequires:  kcmutils-devel
BuildRequires:  plasma-framework-devel

Requires:       %{name}-common = %{version}-%{release}

%description
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop

%files  -f breeze_style_config.lang
%_kf5_bindir/breeze-settings5
%_iconsdir/breeze_cursors
%_iconsdir/Breeze_Snow
%_iconsdir/hicolor/scalable/apps/breeze-settings.svgz
%_kf5_libdir/kconf_update_bin/kde4breeze
%_kf5_qmldir/QtQuick/Controls/Styles/Breeze
%_datadir/kconf_update/kde4breeze.upd
%_kf5_datadir/kstyle/themes/breeze.themerc
%_qt5_plugindir/kstyle_breeze_config.so
%_qt5_plugindir/styles/breeze.so
%_qt5_plugindir/org.kde.kdecoration2/breezedecoration.so
%_kf5_services/breezedecorationconfig.desktop
%_kf5_services/breezestyleconfig.desktop
%_kf5_datadir/plasma/look-and-feel/org.kde.breezedark.desktop
%_kf5_datadir/metainfo/org.kde.breezedark.desktop.appdata.xml
/usr/lib/libbreezecommon5.so.*

#--------------------------------------------------------------------

%package        common
Summary:        Common files shared between KDE 4 and Plasma 5 versions of the Breeze style
Group:          Graphical desktop/KDE5

%description    common
%{summary}.

%files common 
%{_datadir}/color-schemes/*.colors
%{_datadir}/QtCurve/Breeze.qtcurve
%{_datadir}/wallpapers/Next

#--------------------------------------------------------------------
%define kf5breeze_devel %mklibname kf5breeze -d

%package -n %kf5breeze_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5breeze_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5breeze_devel
%{_libdir}/cmake/Breeze/BreezeConfig.cmake
%{_libdir}/cmake/Breeze/BreezeConfigVersion.cmake

%prep
%setup -q -n %framework-%version


%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir" 
%make


%install
rm -rf %buildroot
%makeinstall_std -C build


%find_lang --all breeze_style_config

%changelog
* Mon Oct 29 2018 adrianomorselli <adrianomorselli> 5.14.2-1uplos2018
- update
